python2.0 and redhat 7.0 (new issue)

Thomas Wouters thomas at xs4all.net
Thu Nov 16 16:01:41 CET 2000


On Wed, Nov 15, 2000 at 12:13:34AM -0500, D-Man wrote:

[ D-Man is missing the forkpty() function while compiling a program that
  embeds Python 2.0 ]

> Would the function glimmer wants be in the libutil file?

Yes, it is. Just like you need -lcrypt to use the crypt() function, you need
-lutil to use openpty/forkpty. Your embedding applications is best off using
or incorporating the 'LIBS' and possibly 'CFLAGS' settings from the Python
Makefile, which you can always find in ${prefix}/python2.0/config/Makefile.

-- 
Thomas Wouters <thomas at xs4all.net>

Hi! I'm a .signature virus! copy me into your .signature file to help me spread!




More information about the Python-list mailing list